Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.lock
Interface LockFactory

All Known Implementing Classes:
  LocalLockFactory

    public interface LockFactory

Factory that creates new Locks for specified keys and keeps them in memory until they are no longer needed.

Author:
  Gaston Dombiak

Method Summary
`Lock` | `getLock(Object key)` Returns an existing lock on the specified key or creates a new one if none was found.

Method Detail

### getLock

    Lock getLock(Object key)

  Returns an existing lock on the specified key or creates a new one if none was found. This operation should be thread safe.

  Parameters:
    `key` - the object that defines the visibility or scope of the lock.
  Returns:
    an existing lock on the specified key or creates a new one if none was found.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.